Bug 482 - "Update standard folders to current language" window is not translated.
: "Update standard folders to current language" window is not translated.
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Marathon
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-05 17:39 MSD by Vladimir Testov
Modified: 2013-01-28 17:33 MSK (History)
6 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments
untranslated window mentioned in text of the problem (63.49 KB, image/png)
2012-07-05 17:39 MSD, Vladimir Testov
Details
ru.po для xdg-user-dirs-gtk-0.8 (2.73 KB, text/x-gettext-translation)
2012-12-09 16:12 MSK, Svetlana Kolyada
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Testov 2012-07-05 17:39:04 MSD
Created attachment 343 [details]
untranslated window mentioned in text of the problem

Description of problem:
After change of locale you're asked to change the standard folder names. The window is not translated.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. change locale 
2. change preferred languages
3. relogin
4. watch the window
Comment 1 Svetlana Kolyada 2012-12-09 16:12:02 MSK
Created attachment 902 [details]
ru.po для xdg-user-dirs-gtk-0.8

Переведенный файл для xdg-user-dirs-gtk-0.8-13.src.rpm
Comment 2 Denis Silakov 2012-12-10 09:26:05 MSK
Changing component just for experiments...
Comment 3 Denis Silakov 2012-12-10 09:27:46 MSK
Advisory:

Window with question about changing of standard folder names after locale change was not translated to Russian.

Buildlists:
https://abf.rosalinux.ru/build_lists/855155
https://abf.rosalinux.ru/build_lists/855154


Aside: it seems that we don't have a possibility to set 'Request for Update' flag for Localization bugs, that's why this bug is reassign to 'Main Packages'.
Comment 4 Denis Silakov 2012-12-10 09:32:51 MSK
Meanwhile, the latest xdg-user-dirs-gtk from upstream (version 0.9) already has Russian translation.
Comment 5 Denis Koryavov 2012-12-10 09:48:28 MSK
Then is much better to update this package to a new version.
Comment 6 Denis Silakov 2012-12-10 10:20:30 MSK
I've updated it for 2012 Desktop. The major change in 0.9 is porting to gtk+-3.0, not sure if we need this right now in Marathon; maybe in future (e.g., in RP2) we'll get this from 2012.1 Desktop together with other updates.

Currently for this bug, I would just update the translations.
Comment 7 Vladimir Potapov 2012-12-10 16:02:54 MSK
xdg-user-dirs-gtk-0.8-14-rosa.lts2012.0
******************* Advisory ************************
Window with question about changing of standard folder names after locale change was not translated to Russian.
*****************************************************
QA Verified
Comment 8 Stanislav Hanzhin 2012-12-10 16:15:12 MSK
Hey folks! Please, tell us if this problem persists after translation update.
Comment 9 Denis Silakov 2013-01-28 17:32:40 MSK
The updated package was published and there is no such issue anymore, the remaining thing is that the 'published' flag is not set in this bug.